## jxtray.diag
Class DiField

    java.lang.Object
      jxtray.diag.DiField

public class DiField
extends java.lang.Object

Constructor Summary
`DiField(java.lang.String name)`

Method Summary
`java.lang.String` `getLength()`
`java.lang.String` `getName()`
`java.lang.String` `getType()`
`boolean` `isNullable()`
`boolean` `isPrimaryKey()`
`void` `paint(java.awt.Graphics g)`
`void` `setLength(java.lang.String string)`
`void` `setName(java.lang.String string)`
`void` `setNullable(boolean b)`
`void` `setPrimaryKey(boolean b)`
`void` `setType(java.lang.String string)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiField

    public DiField(java.lang.String name)

Method Detail

### paint

    public void paint(java.awt.Graphics g)

### getLength

    public java.lang.String getLength()

  Returns:
    String

### getName

    public java.lang.String getName()

  Returns:
    String

### isNullable

    public boolean isNullable()

  Returns:
    boolean

### isPrimaryKey

    public boolean isPrimaryKey()

  Returns:
    boolean

### getType

    public java.lang.String getType()

  Returns:
    String

### setLength

    public void setLength(java.lang.String string)

  Parameters:
    `string` -

### setName

    public void setName(java.lang.String string)

  Parameters:
    `string` -

### setNullable

    public void setNullable(boolean b)

  Parameters:
    `b` -

### setPrimaryKey

    public void setPrimaryKey(boolean b)

  Parameters:
    `b` -

### setType

    public void setType(java.lang.String string)

  Parameters:
    `string` -